#!/bin/sh

include ()
{
    # If we keep a copy of the kernel header in the SVN tree, we'll have
    # to worry about synchronization issues forever. Instead, we just copy 
    # the headers that we need from the lastest kernel version at autogen
    # stage.

    INCLUDEDIR=${KERNEL_DIR:-/lib/modules/`uname -r`/build}/include/linux
    if [ -f $INCLUDEDIR/netfilter/nfnetlink_cthelper.h ]
    then
    	TARGET=include/libnetfilter_cthelper/linux_nfnetlink_cthelper.h
    	echo "Copying nfnetlink_cthelper.h to linux_nfnetlink_cthelper.h"
    	cp $INCLUDEDIR/netfilter/nfnetlink_cthelper.h $TARGET
	TEMP=`tempfile`
	sed 's/linux\/netfilter\/nfnetlink.h/libnfnetlink\/linux_nfnetlink.h/g' $TARGET > $TEMP
	mv $TEMP $TARGET
    else
    	echo "can't find nfnetlink_cthelper.h kernel file in $INCLUDEDIR"
    	exit 1
    fi
}

run ()
{
    echo "running: $*"
    eval $*

    if test $? != 0 ; then
	echo "error: while running '$*'"
	exit 1
    fi
}

[ "x$1" == "xdistrib" ] && include
run aclocal
run libtoolize -f
#run autoheader
run automake -a
run autoconf
